OVERLAY_ELLIPSE(3)

FUNCTION
overlay_ellipse - Add an ellipse to an overlay list. See also <-overlay_ellipses->

SYNOPSIS
#include <karma_overlay.h>

unsigned int overlay_ellipse

(KOverlayList olist, unsigned int ctype,double cx, double cy, unsigned int rtype, double rx, double ry, CONST char *colourname, flag filled)

DESCRIPTION
Add an ellipse to an overlay list. See also <-overlay_ellipses->

olist
    The overlay list object.

ctype
    The type of the centre co-ordinate. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

cx  The horizontal position of the centre co-ordinate.

cy  The vertical position of the centre co-ordinate.

rtype
    The type of the radius co-ordinate. See <-overlay_COORDINATE_TYPES-> for a list of supported co-ordinate types.

rx  The horizontal radius.

ry  The vertical radius.

colourname
    The colourname.

filled
    If TRUE the ellipse will be filled.

RETURN VALUE
The objectID on success, else 0.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/